com.thinkaurelius.titan.diskstorage

## Interface BaseTransactionConfig

- All Known Subinterfaces:
    TransactionConfiguration
  All Known Implementing Classes:
    StandardBaseTransactionConfig, StandardTransactionBuilder

      public interface BaseTransactionConfig

  Author:
    Matthias Broecheler (me@matthiasb.com), Dan LaRocque

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Timepoint` | `getCommitTime()` Returns the commit time of this transaction which is either a custom timestamp provided by the user, the commit time as set by the enclosing operation, or the first time this method is called.
    `<V> V` | `getCustomOption(ConfigOption<V> opt)` Get an arbitrary transaction-specific option.
    `Configuration` | `getCustomOptions()` Return any transaction-specific options.
    `String` | `getGroupName()` Returns the (possibly null) group name for this transaction.
    `TimestampProvider` | `getTimestampProvider()` Returns the timestamp provider of this transaction.
    `boolean` | `hasCommitTime()` Returns true if a commit time has been set on this transaction.
    `boolean` | `hasGroupName()` True when `getGroupName()` is non-null, false when null.
    `void` | `setCommitTime(Timepoint time)` Sets the commit time of this transaction.

- - ### Method Detail

    - #### getCommitTime

          Timepoint getCommitTime()

      Returns the commit time of this transaction which is either a custom timestamp provided by the user, the commit time as set by the enclosing operation, or the first time this method is called.
      Returns:
        commit timestamp for this transaction

    - #### setCommitTime

          void setCommitTime(Timepoint time)

      Sets the commit time of this transaction. If a commit time has already been set, this method throws an exception. Use `hasCommitTime()` to check prior to setting.
      Parameters:
        `time` -

    - #### hasCommitTime

          boolean hasCommitTime()

      Returns true if a commit time has been set on this transaction.
      Returns:

    - #### getTimestampProvider

          TimestampProvider getTimestampProvider()

      Returns the timestamp provider of this transaction.

    - #### getGroupName

          String getGroupName()

      Returns the (possibly null) group name for this transaction. Transactions are grouped under this name for reporting and error tracking purposes.
      Returns:
        group name prefix string or null

    - #### hasGroupName

          boolean hasGroupName()

      True when `getGroupName()` is non-null, false when null.

    - #### getCustomOption

          <V> V getCustomOption(ConfigOption<V> opt)

      Get an arbitrary transaction-specific option.
      Parameters:
        `opt` - option for which to return a value
      Returns:
        value of the option

    - #### getCustomOptions

          Configuration getCustomOptions()

      Return any transaction-specific options.
      Returns:
        options for this tx
      See Also:
        `getCustomOption(ConfigOption)`

Copyright © 2012–2014. All rights reserved.